LibreOffice: GraphicExportFilter Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
GraphicExportFilter Service Referencepublished

a component that supports this service lets you export pages, shapes, or groups of shapes from a DrawingDocument to a file in one of the file formats supported by the component. More...

`import "GraphicExportFilter.idl";`

Inheritance diagram for GraphicExportFilter:

## Additional Inherited Members
Exported Interfaces inherited from XGraphicExportFilter
interface | ::com::sun::star::document::XFilter
| calling com::sun::star::document::XFilter::filter() starts the export of the graphic file.
interface | ::com::sun::star::document::XExporter
| sets the source component for this export filter.
interface | ::com::sun::star::document::XMimeTypeInfo
| lets you query the supported mime types by this component
Public Member Functions inherited from XFilter
boolean | filter ([in] sequence< com::sun::star::beans::PropertyValue > aDescriptor)
| filter the document.
void | cancel ()
| cancel the process.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XExporter
void | setSourceDocument ([in] com::sun::star::lang::XComponent Document) raises ( com::sun::star::lang::IllegalArgumentException )
| sets the source document for the exporter
Public Member Functions inherited from XMimeTypeInfo
boolean | supportsMimeType ([in] string MimeTypeName)
| asks whether a MIME type is supported or not.
sequence< string > | getSupportedMimeTypeNames ()

## Detailed Description

a component that supports this service lets you export pages, shapes, or groups of shapes from a DrawingDocument to a file in one of the file formats supported by the component.

Developers Guide
  Drawings and Presentations - Exporting

The documentation for this service was generated from the following file:

- com/sun/star/drawing/GraphicExportFilter.idl